GET /api/v3/widget/billcount/{specificWidgetId} Deprecated

Retrieves a bill count for a specific bill count widget.

GetBillCountV3
DEPRECATED (V3): Use GET /api/v3/widget/actionablebillcounts/{specificWidgetId} instead. Supports widget codes: billscreated7day, billsexporthold. Supports global dashboard filter overrides.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Unique numeric identifier of the specific Bill Count widget instance integer (int32) Required

Query Parameters

Name Description Type Required
filter Optional global dashboard filter that adds to or overrides saved widget filter values string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

SingleValue
Property Description Type
value The computed value. The type and format depend on the endpoint returning it (e.g., an integer billing period in YYYYMM format). object
Example Response application/json
{  "value": {}
}